Package pygccxml :: Package declarations :: Module matchers :: Class virtuality_type_matcher_t

# type virtuality_type_matcher_t

source code

        object --+
                 |
    matcher_base_t --+
                     |
                    virtuality_type_matcher_t

Instance of this class will match declaration by its virtuality type: not virtual, virtual or pure virtual. If declarations does not have virtuality type, for example free function, then False will be returned.

Instance Methods

__init__(self, virtuality_type) | source code

__call__(self, decl) | source code

__str__(self) | source code

Inherited from `matcher_base_t`: `__and__`, `__invert__`, `__or__`

Method Details

### __init__(self, virtuality_type)
(Constructor)

source code

Parameters:
  - `access_type` (VIRTUALITY_TYPES defines few consts for your convinience.) - declaration access type
Overrides: matcher_base_t.__init__

### __call__(self, decl)
(Call operator)

source code

Overrides: matcher_base_t.__call__

### __str__(self)
(Informal representation operator)

source code

Overrides: matcher_base_t.__str__